# Uses of Interface
java.lang.classfile.attribute.RecordAttribute

Packages that use RecordAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of RecordAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type RecordAttribute
Modifier and Type
Method
Description
`static AttributeMapper<RecordAttribute>`
Attributes.`record()`
Returns the mapper for the `Record` attribute.

## Uses of RecordAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type RecordAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`RecordAttribute`
Models the `Record` attribute (JVMS 4.7.30), which indicates that this class is a record class and the record components.
Methods in java.lang.classfile.attribute that return RecordAttribute
Modifier and Type
Method
Description
`static RecordAttribute`
RecordAttribute.`of(RecordComponentInfo... components)`
Returns a `Record` attribute.
`static RecordAttribute`
RecordAttribute.`of(List<RecordComponentInfo> components)`
Returns a `Record` attribute.